Create a new profile field
curl --request POST \
--url https://api.mn.co/admin/v1/networks/{network_id}/custom_fields \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "Favorite Color",
"response_type": "dropdown_single_select",
"privacy": "public",
"response_by": "individual_member",
"description": "Select your favorite color",
"placeholder": "Enter your answer here",
"allow_ad_hoc": true,
"max_responses": 5,
"options": [
"<string>"
],
"min_value": 0,
"max_value": 100,
"location_granularity": "city"
}
'import requests
url = "https://api.mn.co/admin/v1/networks/{network_id}/custom_fields"
payload = {
"title": "Favorite Color",
"response_type": "dropdown_single_select",
"privacy": "public",
"response_by": "individual_member",
"description": "Select your favorite color",
"placeholder": "Enter your answer here",
"allow_ad_hoc": True,
"max_responses": 5,
"options": ["<string>"],
"min_value": 0,
"max_value": 100,
"location_granularity": "city"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: 'Favorite Color',
response_type: 'dropdown_single_select',
privacy: 'public',
response_by: 'individual_member',
description: 'Select your favorite color',
placeholder: 'Enter your answer here',
allow_ad_hoc: true,
max_responses: 5,
options: ['<string>'],
min_value: 0,
max_value: 100,
location_granularity: 'city'
})
};
fetch('https://api.mn.co/admin/v1/networks/{network_id}/custom_fields', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.mn.co/admin/v1/networks/{network_id}/custom_fields",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'title' => 'Favorite Color',
'response_type' => 'dropdown_single_select',
'privacy' => 'public',
'response_by' => 'individual_member',
'description' => 'Select your favorite color',
'placeholder' => 'Enter your answer here',
'allow_ad_hoc' => true,
'max_responses' => 5,
'options' => [
'<string>'
],
'min_value' => 0,
'max_value' => 100,
'location_granularity' => 'city'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.mn.co/admin/v1/networks/{network_id}/custom_fields"
payload := strings.NewReader("{\n \"title\": \"Favorite Color\",\n \"response_type\": \"dropdown_single_select\",\n \"privacy\": \"public\",\n \"response_by\": \"individual_member\",\n \"description\": \"Select your favorite color\",\n \"placeholder\": \"Enter your answer here\",\n \"allow_ad_hoc\": true,\n \"max_responses\": 5,\n \"options\": [\n \"<string>\"\n ],\n \"min_value\": 0,\n \"max_value\": 100,\n \"location_granularity\": \"city\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.mn.co/admin/v1/networks/{network_id}/custom_fields")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"title\": \"Favorite Color\",\n \"response_type\": \"dropdown_single_select\",\n \"privacy\": \"public\",\n \"response_by\": \"individual_member\",\n \"description\": \"Select your favorite color\",\n \"placeholder\": \"Enter your answer here\",\n \"allow_ad_hoc\": true,\n \"max_responses\": 5,\n \"options\": [\n \"<string>\"\n ],\n \"min_value\": 0,\n \"max_value\": 100,\n \"location_granularity\": \"city\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.mn.co/admin/v1/networks/{network_id}/custom_fields")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"title\": \"Favorite Color\",\n \"response_type\": \"dropdown_single_select\",\n \"privacy\": \"public\",\n \"response_by\": \"individual_member\",\n \"description\": \"Select your favorite color\",\n \"placeholder\": \"Enter your answer here\",\n \"allow_ad_hoc\": true,\n \"max_responses\": 5,\n \"options\": [\n \"<string>\"\n ],\n \"min_value\": 0,\n \"max_value\": 100,\n \"location_granularity\": \"city\"\n}"
response = http.request(request)
puts response.read_body{
"id": "1234",
"created_at": "2026-11-18T18:30:45Z",
"updated_at": "2026-11-18T18:30:45Z",
"title": "Favorite Color",
"response_type": "dropdown_single_select",
"location_granularity": "city"
}{
"error": "<string>",
"reason": "<string>",
"credits_url": "<string>"
}{
"error": "<string>"
}CustomFields
Create a new profile field
POST
/
admin
/
v1
/
networks
/
{network_id}
/
custom_fields
Create a new profile field
curl --request POST \
--url https://api.mn.co/admin/v1/networks/{network_id}/custom_fields \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "Favorite Color",
"response_type": "dropdown_single_select",
"privacy": "public",
"response_by": "individual_member",
"description": "Select your favorite color",
"placeholder": "Enter your answer here",
"allow_ad_hoc": true,
"max_responses": 5,
"options": [
"<string>"
],
"min_value": 0,
"max_value": 100,
"location_granularity": "city"
}
'import requests
url = "https://api.mn.co/admin/v1/networks/{network_id}/custom_fields"
payload = {
"title": "Favorite Color",
"response_type": "dropdown_single_select",
"privacy": "public",
"response_by": "individual_member",
"description": "Select your favorite color",
"placeholder": "Enter your answer here",
"allow_ad_hoc": True,
"max_responses": 5,
"options": ["<string>"],
"min_value": 0,
"max_value": 100,
"location_granularity": "city"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: 'Favorite Color',
response_type: 'dropdown_single_select',
privacy: 'public',
response_by: 'individual_member',
description: 'Select your favorite color',
placeholder: 'Enter your answer here',
allow_ad_hoc: true,
max_responses: 5,
options: ['<string>'],
min_value: 0,
max_value: 100,
location_granularity: 'city'
})
};
fetch('https://api.mn.co/admin/v1/networks/{network_id}/custom_fields', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.mn.co/admin/v1/networks/{network_id}/custom_fields",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'title' => 'Favorite Color',
'response_type' => 'dropdown_single_select',
'privacy' => 'public',
'response_by' => 'individual_member',
'description' => 'Select your favorite color',
'placeholder' => 'Enter your answer here',
'allow_ad_hoc' => true,
'max_responses' => 5,
'options' => [
'<string>'
],
'min_value' => 0,
'max_value' => 100,
'location_granularity' => 'city'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.mn.co/admin/v1/networks/{network_id}/custom_fields"
payload := strings.NewReader("{\n \"title\": \"Favorite Color\",\n \"response_type\": \"dropdown_single_select\",\n \"privacy\": \"public\",\n \"response_by\": \"individual_member\",\n \"description\": \"Select your favorite color\",\n \"placeholder\": \"Enter your answer here\",\n \"allow_ad_hoc\": true,\n \"max_responses\": 5,\n \"options\": [\n \"<string>\"\n ],\n \"min_value\": 0,\n \"max_value\": 100,\n \"location_granularity\": \"city\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.mn.co/admin/v1/networks/{network_id}/custom_fields")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"title\": \"Favorite Color\",\n \"response_type\": \"dropdown_single_select\",\n \"privacy\": \"public\",\n \"response_by\": \"individual_member\",\n \"description\": \"Select your favorite color\",\n \"placeholder\": \"Enter your answer here\",\n \"allow_ad_hoc\": true,\n \"max_responses\": 5,\n \"options\": [\n \"<string>\"\n ],\n \"min_value\": 0,\n \"max_value\": 100,\n \"location_granularity\": \"city\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.mn.co/admin/v1/networks/{network_id}/custom_fields")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"title\": \"Favorite Color\",\n \"response_type\": \"dropdown_single_select\",\n \"privacy\": \"public\",\n \"response_by\": \"individual_member\",\n \"description\": \"Select your favorite color\",\n \"placeholder\": \"Enter your answer here\",\n \"allow_ad_hoc\": true,\n \"max_responses\": 5,\n \"options\": [\n \"<string>\"\n ],\n \"min_value\": 0,\n \"max_value\": 100,\n \"location_granularity\": \"city\"\n}"
response = http.request(request)
puts response.read_body{
"id": "1234",
"created_at": "2026-11-18T18:30:45Z",
"updated_at": "2026-11-18T18:30:45Z",
"title": "Favorite Color",
"response_type": "dropdown_single_select",
"location_granularity": "city"
}{
"error": "<string>",
"reason": "<string>",
"credits_url": "<string>"
}{
"error": "<string>"
}Authorizations
Path Parameters
Body
application/json
Submit results as JSON
Request body for creating a profile field
Response
The created profile field object
Profile Fields are configurable fields that can be added to capture additional member information